#
# spec file for package gti
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gti
Version:        1.7.0
Release:        bp154.1.20
Summary:        ASCII art punishmet for misspelling git
License:        MIT
Group:          Amusements/Toys/Other
URL:            https://r-wos.org/hacks/gti
Source:         https://github.com/rwos/gti/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
Recommends:     git-core

%description
Program which will show you ASCII art car driving across the terminal when you
misspell git command. After animation it will perform git command as well.
Similar to sl (steam locomotive).

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" STRIP=false

%install
mkdir -p %{buildroot}%{_bindir}
%make_install

%files
%doc README.md
%{_bindir}/gti
%{_mandir}/man*/*

%changelog
* Mon Feb 22 2021 antoine.belvire@opensuse.org
- Update to 1.7.0:
  * Add animation for tag command.
- Don't strip binary so that debuginfo and debugsource can be
  packaged.
- Clean spec file.
* Mon Jun 19 2017 sleep_walker@opensuse.org
- bump to 1.6.1
  - see git log for full changelog
* Tue Sep 11 2012 sleep_walker@suse.cz
- add optflags as CFLAGS for compilation
- rename tarball
* Tue Sep 11 2012 sleep_walker@suse.cz
- update to babe68b
* Thu Aug 30 2012 sleep_walker@suse.cz
- spec file fixes
* Thu Aug 30 2012 sleep_walker@suse.cz
- let there be gti
